tsickle versions and peer dependencies

The table below has a list of all versions of tsickle compatible peers dependencies.

Version Peer Dependency Versions
0.1.0 - 0.1.6
  • typescript @ ^1.8.0 || ^1.9.0-dev
0.1.7
  • typescript @ ^2.0.0 || ^2.1.0-dev
0.2.0 - 0.2.4
  • typescript @ ^2.0.0
0.21.0
  • typescript @ ^2.1.0
0.2.5 - 0.2.6
  • typescript @ ^2.0.0
0.21.1 - 0.21.6
  • typescript @ ^2.1.0
0.23.0 - 0.23.3
  • typescript @ 2.3.1
0.23.4 - 0.23.6
  • typescript @ 2.3.4
0.24.0 - 0.24.1
  • typescript @ 2.4.2
0.25.0
  • typescript @ 2.5.3
0.25.5 - 0.25.6
  • typescript @ >=2.4.2 <2.6
0.26.0
  • typescript @ >=2.4.2 <2.7
0.27.1 - 0.27.5
  • typescript @ >=2.4.2 <2.8
0.28.0 - 0.32.0
  • typescript @ >=2.4.2 <2.9
0.32.1
  • typescript @ >=2.4.2 <2.10
0.33.0
  • typescript @ git://github.com/mprobst/TypeScript.git#5456479a4a
0.33.1
  • typescript @ 3.1.3
0.34.0 - 0.34.2
  • typescript @ ~3.1.3 || ~3.2.0-rc
0.34.3
  • typescript @ ~3.3.1
0.35.0 - 0.36.0
  • typescript @ ~3.4.1
0.37.0
  • typescript @ ~3.5.3
0.37.1
  • typescript @ ~3.6.4
0.38.0
  • typescript @ ~3.7.2
0.38.1 - 0.39.0
  • typescript @ ~3.8.2
0.39.1
  • typescript @ ~3.8.2